import QtQuick

import Artix.Gui

/**
 * @brief Кнопка клавиатуры с иконкой
 */
KeyboardKey {
    Style.type: "button"
    Style.class: "keyboardKey"
    required property url icon
    property int iconHeight: 0
    contentItem: Item {
        Image {
            anchors.centerIn: parent
            fillMode: Image.PreserveAspectFit
            height: iconHeight ?? parent.height
            source: icon
            Component.onCompleted: mainWindow.scaleImage(this)
        }
    }
}

